corelinux::Flyweight Class Reference

Flyweight type is used to support large numbers of fine-grained objects. More...

`#include <Flyweight.hpp>`

## Public Member Functions

| Flyweight (void)
| Default Constructor.
| Flyweight (FlyweightCref)
| Copy constructor. More...
virtual | ~Flyweight (void)
| Virtual Destructor.
FlyweightRef | operator= (FlyweightCref)
| Assignment operator overload. More...
bool | operator== (FlyweightCref) const
| Equality operator overload. More...

## Detailed Description

Flyweight type is used to support large numbers of fine-grained objects.

## Constructor & Destructor Documentation

corelinux::Flyweight::Flyweight | ( | FlyweightCref |  | ) |

Copy constructor.

Parameters

  Flyweight | const reference

## Member Function Documentation

FlyweightRef corelinux::Flyweight::operator= | ( | FlyweightCref |  | ) |

Assignment operator overload.

Parameters

  Flyweight | const reference

Returns
  Flyweight reference to self

bool corelinux::Flyweight::operator== | ( | FlyweightCref | aRef | ) | const

Equality operator overload.

Parameters

  Flyweight | const reference

Returns
  true if equal, false otherwise

The documentation for this class was generated from the following files:

- Flyweight.hpp
- Flyweight.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium